MongoCursorException
MongoCursorTimeoutException
MongoCursorException
PHP Manual

# MongoCursorException::getHost

(PECL mongo >= 1.0.0)

MongoCursorException::getHost — The hostname of the server that encountered the error

### Description

public string MongoCursorException::getHost ( void )

Returns the hostname of the server the query was sent too.

### Parameters

This function has no parameters.

### Return Values

Returns the hostname, or NULL if the hostname is unknown.

MongoCursorException
MongoCursorTimeoutException
MongoCursorException
PHP Manual